"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onDOMReady = void 0;
var DOMReadyP_1 = require("./DOMReadyP");
/**
 * Takes a callback that is executed as soon as possible after the DOM content is loaded.
 * If the {@link https://developer.mozilla.org/en-US/docs/Web/API/Document/readyState `document.readyState`}
 * is either `'interactive'` or `'complete'` at call-time, the callback is called immediately,
 * otherwise it is called upon the DOMContentLoaded event.
 *
 * @param {Function} fn
 * @return {Promise} A promise that resolves with the eventual return value of given callback.
 */
function onDOMReady(fn) {
    return DOMReadyP_1.DOMReadyP().then(fn);
}
exports.onDOMReady = onDOMReady;
