"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onWindowLoad = void 0;
var windowLoadP_1 = require("./windowLoadP");
/**
 * Takes a callback that is executed as soon as possible after the window is loaded.
 * If the {@link https://developer.mozilla.org/en-US/docs/Web/API/Document/readyState `document.readyState`}
 * is `'complete'` at call-time, the callback is called immediately, otherwise it is called upon
 * the window load event.
 *
 * @param {Function} fn
 * @return {Promise} A promise that resolves with the eventual return value of given callback.
 */
function onWindowLoad(fn) {
    return windowLoadP_1.windowLoadP().then(fn);
}
exports.onWindowLoad = onWindowLoad;
